package com.qmth.qrzk.dao;

import java.util.List;

import com.qmth.qrzk.repository.service.query.UserQueryParams;
import com.qmth.qrzk.repository.user.model.User;

/**
 * 	用户接口  提供操作用户的方法
 * @author 钟辉
 *
 */
public interface IUserDao {

	List<User> selectUser(User user) ;

	void updateUser(User user);
	
	int updateLastLoginDate(User user);
	
	int updatePassword(User user);
	
	Integer deleteUser(User poUserTO);
	
	public User getLoginUserByUsername(String userName);
	
	public int insertUser(User user);
	
	public int queryUserName(String name);
	
	public int updateStatus(User user);
	
	public User findUserById(int id);
	
	public int checkPassword(User user);
	
	public List<User> queryUsers(UserQueryParams params);
	
	public int queryUsersCount(UserQueryParams params);
}
